define(function(require) {
	var $ = require("jquery");
	var justep = require("$UI/system/lib/justep");
	require("../Common/Echarts/echarts-all");
	
	var Model = function() {
		this.callParent();
	};    
	
	Model.prototype.modelLoad = function(event){
    var names=[];
	this.comp().each(function(param) {
                        names.push(param.row.val('TRI_ID'));                   
                });
// 渗水折线图	
 var myChart = echarts.init(this.getElementByXid('EchartOne'));
        var optionOne = {
            title : {
                text : justep.Date.toString(new Date(), justep.Date.STANDART_FORMAT_SHOT)
                     },
            tooltip : {
                trigger: 'axis'
            },
            legend: {         
                 data:['CO','SO2','CO2']
                 
            },
            toolbox: {
                show : true,
                feature : {
//                  mark : {show: true},
//                  dataView : {show: true, readOnly: false},
//                    magicType : {show: true, type: ['bar','line']},
//                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    boundaryGap : false,	          
                    data : []
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    splitArea : {show : true}
                }
            ],
            series : [
                {
                    name:'CO',
		            type:'line',
		            stack: '渗水点',
                    data:[]
                },
                {
                    name:'SO2',
		            type:'line',
		            stack: '湿度',
                    data:[]
                },
                {
                    name:'CO2',
		            type:'line',
		            stack: '温度',
                    data:[]
                }
            ]
        }; 
        //加载数据  
      jQuery.ajax({  
        url:"url",  
        type:'get',  
        dataType:'json',  
        success:function(jsons){  
            var Item = function(){  
                return {  
                    name:'',  
                    type:'line',  
                    itemStyle: {normal: {areaStyle: {type: 'default',opacity:isArea}}},  
                                label: {normal: {show: isShowAllData,position: 'top'}},  
                                markLine: {data: [{type: 'average', name: '平均值'}]},  
                                data:[]  
                    }  
                };  
            var legends = [];  
            var Series = [];  
            var json = jsons.
            for(var i=0;i < json.length;i++){  
                var it = new Item();  
                it.name = json[i].name;  
                legends.push(json[i].name);  
                it.data = json[i].data;  
                Series.push(it);  
            }
            option.xAxis[0].data = jsons.xcontent;   
                    option.legend.data = legends;  
                        option.series = Series; // 设置图表  
                       myChart.setOption(option);// 重新加载图表  
        },  
            error:function(){  
             alert("数据加载失败！请检查数据链接是否正确");  
        }  
    });         
        myChart.setOption(optionOne);
        
// 渗水折线图	
        var optionOne = {
            title : {
                text : justep.Date.toString(new Date(), justep.Date.STANDART_FORMAT_SHOT)
                     },
            tooltip : {
                trigger: 'axis'
            },
            legend: {   
                 selectedMode:false,      
                 data:['渗水点','湿度','温度']
            },
            toolbox: {
                show : true,
                feature : {
//                  mark : {show: true},
//                  dataView : {show: true, readOnly: false},
//                    magicType : {show: true, type: ['bar','line']},
//                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    boundaryGap : false,	          
                    data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    splitArea : {show : true}
                }
            ],
            series : [
                {
                    name:'渗水点',
		            type:'line',
		            stack: '渗水点',
                    data:[2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3]
                },
                {
                    name:'湿度',
		            type:'line',
		            stack: '湿度',
                    data:[2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3]
                },
                {
                    name:'温度',
		            type:'line',
		            stack: '温度',
                    data:[13.5, 16.9, 11.7, 27.4, 20.7, 72.7, 105.6, 111.2, 48.7, 16.8, 26.0, 17.3]
                }
            ]
        };      
        var myChart = echarts.init(this.getElementByXid('EchartTwo'));
        myChart.setOption(optionOne);
          
        // 线路老化(气体)折线图
        var optionTwo = {
            tooltip : {
                show:false,
                trigger: 'axis'
            },
            legend: {
                selectedMode:false,
                data:['二氧化碳','有害物质','PM10','PM25']
            },
            toolbox: {
                show : true,
                feature : {
//                  mark : {show: true},
//                  dataView : {show: true, readOnly: false},
//                    magicType : {show: true, type: ['bar','line']},
//                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    boundaryGap : false,	          
                    data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    splitArea : {show : true}
                }
            ],
            series : [
                {
                    name:'二氧化碳',
		            type:'line',
		            stack: '二氧化碳',
                    data:[2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3]
                },
                {
                     name:'有害物质',
		            type:'line',
		            stack: '有害物质',
                    data:[2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3]
                },
                {
                    name:'PM10',
		            type:'line',
		            stack: 'PM10',
                    data:[13.5, 16.9, 11.7, 27.4, 20.7, 72.7, 105.6, 111.2, 48.7, 16.8, 26.0, 17.3]
                },
                {
                     name:'PM25',
		            type:'line',
		            stack: 'PM25',
                    data:[2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3]
                }
            ]
        };      
        var myChart = echarts.init(this.getElementByXid('EchartThree'));
        myChart.setOption(optionTwo);
        
        
        // 噪音
            var optionThree = {
            tooltip : {
                trigger: 'axis'
            },
            legend: {
                data:['频率','声响']
            },
            toolbox: {
                show : true,
                feature : {
//                  mark : {show: true},
//                  dataView : {show: true, readOnly: false},
//                    magicType : {show: true, type: ['bar','line']},
//                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    boundaryGap : false,	          
                    data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    splitArea : {show : true}
                }
            ],
            series : [
                {
                    name:'频率',
		            type:'line',
		            stack: '频率',
                    data:[2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3]
                },
                {
                    name:'声响',
		            type:'line',
		            stack: '声响',
                    data:[2.6, 5.9, 9.0, 26.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3]
                }
            ]
        };
        var myChart = echarts.init(this.getElementByXid('EchartFour'));
        myChart.setOption(optionThree);
        
         // 设备
            var optionFour = {
            tooltip : {
                trigger: 'axis'
            },
            legend: {
                data:['上高温','下高温','上危险灯','下危险信灯']
            },
            toolbox: {
                show : true,
                feature : {
//                  mark : {show: true},
//                  dataView : {show: true, readOnly: false},
//                    magicType : {show: true, type: ['bar','line']},
//                    restore : {show: true},
                    saveAsImage : {show: true}
                }
            },
            calculable : true,
            xAxis : [
                {
                    type : 'category',
                    boundaryGap : false,	          
                    data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
                }
            ],
            yAxis : [
                {
                    type : 'value',
                    splitArea : {show : true}
                }
            ],
            series : [
                {
                    name:'上高温',
		            type:'line',
		            stack: '上高温',
                    data:[2.0, 4.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 6.4, 3.3]
                },
                {
                    name:'下高温',
		            type:'line',
		            stack: '下高温',
                    data:[21.6, 51.9, 9.0, 22.4, 28.7, 70.7, 175.6, 182.2, 48.7, 18.8, 6.0, 2.3]
                },
                {
                     name:'上危险灯',
		            type:'line',
		            stack: '上危险灯',
                    data:[21.6, 5.9, 9.2, 26.4, 26.7, 73.7, 145.6, 145.2, 48.7, 18.8, 62.0, 22.3]
                },
                {
                    name:'下危险信灯',
		            type:'line',
		            stack: '下危险信灯',
                    data:[22.6, 51.9, 9.0, 26.4, 48.7, 70.7, 178.6, 182.2, 45.7, 18.8, 61.0, 22.3]
                }
            ]
        };
        var myChart = echarts.init(this.getElementByXid('EchartFive'));
        myChart.setOption(optionFour);
        
//       // 空调
//            var optionFive = {
//            tooltip : {
//                trigger: 'axis'
//            },
//            legend: {
//                data:['空调故障灯数','湿度','温度']
//            },
//            toolbox: {
//                show : true,
//                feature : {
////                  mark : {show: true},
////                  dataView : {show: true, readOnly: false},
//                    magicType : {show: true, type: ['bar','line']},
//                    restore : {show: true},
//                    saveAsImage : {show: true}
//                }
//            },
//            calculable : true,
//            xAxis : [
//                {
//                    type : 'category',
//                    boundaryGap : false,	          
//                    data : ['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月']
//                }
//            ],
//            yAxis : [
//                {
//                    type : 'value',
//                    splitArea : {show : true}
//                }
//            ],
//            series : [
//                {
//                    name:'空调故障灯数',
//		            type:'line',
//		            stack: '空调故障灯数',
//                    data:[2.0, 24.9, 7.0, 23.2, 25.6, 76.7, 135.6, 162.2, 32.6, 20.0, 61.4, 30.3]
//                },
//                {
//                    name:'湿度',
//		            type:'line',
//		            stack: '湿度',
//                    data:[21.6, 51.9, 92.0, 26.4, 28.7, 70.7, 175.6, 182.2, 248.7, 218.8, 36.0, 22.3]
//                },
//                {
//                    name:'温度',
//		            type:'line',
//		            stack: '温度',
//                    data:[5.6, 56.9, 23.0, 26.4, 23.7, 34.7, 234.6, 23.2, 234.7, 33.8, 63.0, 23.3]
//                }
//            ]
//        };
//        var myChart = echarts.init(this.getElementByXid('lineChartTen1'));
//        myChart.setOption(optionFive);
	};       
	return Model;
});